Bug 113624 - Wrong position and size of the characters in EMF/EMF+ dual mode
Summary: Wrong position and size of the characters in EMF/EMF+ dual mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-11-03 12:04 UTC by Timur
Modified: 2018-08-29 09:46 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
EMF picture with displaced characters (11.52 KB, image/x-emf)
2018-03-02 09:24 UTC, Patrick Jaap
Details
MSO render of the test file (4.52 KB, image/png)
2018-03-02 09:37 UTC, Patrick Jaap
Details
compare 6.0.4; 6.1+ with patch; MSO (68.33 KB, image/jpeg)
2018-05-30 11:34 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-11-03 12:04:39 UTC
Bug 31814 is fixed with multiple patches. The general rendering is fine now. 
But still, the position of the characters is not completely right. 
I open this one per Patrick's request. 
Please correct if needed.
Comment 1 Xisco Faulí 2018-03-02 09:14:50 UTC
Dear Bartosz,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 2 Xisco Faulí 2018-03-02 09:15:30 UTC
@Timur,
Could you please elaborate a little bit more what wrong in this issue? Attaching a document and some steps ?
Comment 3 Patrick Jaap 2018-03-02 09:21:16 UTC
Hi, I'll jump in here. 

this was my request and I forgot about that, I'm sorry! I'll upload a test file and add some details.
Comment 4 Patrick Jaap 2018-03-02 09:24:55 UTC
Created attachment 140286 [details]
EMF picture with displaced characters

Opening the test file in current LO Writer puts the characters slightly to the left. They should be exactly in the middle of each line.
Comment 5 Patrick Jaap 2018-03-02 09:37:02 UTC
Created attachment 140287 [details]
MSO render of the test file
Comment 6 Commit Notification 2018-04-16 21:10:52 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbe3c29a3bf74b0d037eb035eca11aa4836db8da

tdf#113624 EMF+ Add support for different units conversion

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-04-19 20:30:46 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e58dc868a6ac0df24adf88f32f90a9e4fc6fdae9&h=libreoffice-6-0

tdf#113624 EMF+ Add support for different units conversion

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-05-29 09:32:20 UTC
A polite ping to Bartosz Kosiorek:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 9 Timur 2018-05-30 11:34:45 UTC
Created attachment 142403 [details]
compare 6.0.4; 6.1+ with patch; MSO

Not fully resolved.
Comment 10 Xisco Faulí 2018-08-29 09:46:01 UTC
Dear Bartosz,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.